# IRfWMRuntimeEnvSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetWMRuntimeEnvNode ([out, retval] IRsNode **ppNode)
HRESULT | AddToRecentFiles ([in] BSTR bstrFilePath)
HRESULT | GetRecentFiles ([out, retval] IRdStrEnum **ppRecentFilesArr)
HRESULT | GetMaxRecentFiles ([out, retval] RtDWORD *pdwMaxRecentFiles)
HRESULT | UpdateRecentFileToolbar (void)

## Detailed Description

IRfWMRuntimeEnvSet.

## Member Function Documentation

HRESULT IRfWMRuntimeEnvSet::GetWMRuntimeEnvNode | ( | [out, retval] IRsNode ** | ppNode | ) |

Get the WMRuntimeEnvNode. If it doesn't exist, new one will be created.

Returns:
  ppNode [out, retval] Interface of the Runtime Env. node. This method could access the DG, thus use it only from a comman.d

  Standard HRESULT processing can be applied to the result.

HRESULT IRfWMRuntimeEnvSet::AddToRecentFiles | ( | [in] BSTR | bstrFilePath | ) |

Add file to recent files.

Parameters:

  | bstrFilePath | [in] Filename of the recent file item. This method access the DG, thus use it only from a command.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRfWMRuntimeEnvSet::GetRecentFiles | ( | [out, retval] IRdStrEnum ** | ppRecentFilesArr | ) |

Get copy of the Recent files array. The array consist from BSTR items.

Returns:
  ppRecentFilesArr Returns string array in IRdStrEnum Data object. This method access the DG, thus use it only from a command.

  Standard HRESULT processing can be applied to the result.

HRESULT IRfWMRuntimeEnvSet::GetMaxRecentFiles | ( | [out, retval] RtDWORD * | pdwMaxRecentFiles | ) |

Get Max Recent files.

Returns:
  pdwMaxRecentFiles [out, retval] Returns the Maximum allowed recent files items. This method access the DG, thus use it only from a command.

  Standard HRESULT processing can be applied to the result.

HRESULT IRfWMRuntimeEnvSet::UpdateRecentFileToolbar | ( | void |  | ) |

Find the Recent File sub menu in Main Frame toolbar and update it.

This method access the DG, thus use it only from a command.

Returns:
  Standard HRESULT processing can be applied to the result.